#include <stdio.h>
#include <string.h>

#include <fuzzy.h>

#include <stdlib.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#define N_RESULTS 100

int main() {
  char buf[1000];
  int i, cnt, lim, phrase_no = 0;
  FUZZY_RESULT out[N_RESULTS + 1];
  FDB_HANDLE h;


  printf("findtest started\n");

  i = fuzzy_setup(&h, "wilbur-test", "./");
  if(i == 0) {
    printf("Can't execute setup"); exit(0);
  }

  //  init_fuzzy("/home/olegh/pm/pmentrez/fuzzy/test/wilbur-test");
  // init_fuzzy("/home/olegh/pm/pmentrez/fuzzy/test");
  printf("Init OK\n");

  while(gets(buf)) {
    phrase_no++;
    cnt = fuzzy_find(&h, buf, out, N_RESULTS + 1);
    printf("\n\n%04d:Query: [%s]\n", phrase_no, buf);
    
    for(lim = i = 0; i < cnt && lim < N_RESULTS; i++) {
      memcpy(buf, out[i].term, out[i].term_len); 
      buf[out[i].term_len] = 0;
      printf("%3d: %7d (%10f) [%s]\n", ++lim, out[i].term_no, out[i].rate, buf);
      //      if(strcmp(buf, list[i]))
      //   printf("%3d: Term %10f [%s]\n", ++lim, rates[i], list[i]);
      // free(list[i]);
    }
  }
  return 0;

}
